package com.atlassian.stash.internal.repository.ref.restriction.provider;

import com.atlassian.bitbucket.repository.ref.restriction.RefMatcherType;

import javax.annotation.Nonnull;

public class PatternRestrictionType implements RefMatcherType {

    private static PatternRestrictionType INSTANCE = new PatternRestrictionType();

    public static PatternRestrictionType getInstance() {
        return INSTANCE;
    }

    @Override
    public String getId() {
        return "PATTERN";
    }

    @Nonnull
    @Override
    public String getDisplayId() {
        return "Pattern";
    }
}
